Bug 118082 - Templates cannot be applied to To-Dos
Summary: Templates cannot be applied to To-Dos
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: 3.5
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Reinhold Kainhofer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-10 19:31 UTC by steve
Modified: 2006-10-25 01:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2005-12-10 19:31:50 UTC
Version:           3.5 (using KDE 3.5.0 Level "a" , SUSE 10.0 UNSUPPORTED)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.13-15-smp

When making to-dos, you cannot apply a template to them. It appears when you click the Apply Template button, it checks the wrong path.
/home/user/.kde/share/apps/korganizer/templates/Todo is the correct path. But it checks /ToDo.
Comment 1 Philip Rodrigues 2005-12-11 18:54:41 UTC
Confirmed here. I assume the fix is (compiling and testing now):

Index: kotodoeditor.h
===================================================================
--- kotodoeditor.h      (revision 486680)
+++ kotodoeditor.h      (working copy)
@@ -95,7 +95,7 @@
   protected:
     void loadTemplate( /*const*/ CalendarLocal& );
     QStringList& templates() const;
-    QString type() { return "ToDo"; }
+    QString type() { return "Todo"; }
     void setupGeneral();
     void setupRecurrence();
     int msgItemDelete();
Comment 2 Philip Rodrigues 2005-12-11 22:31:52 UTC
Hrm, that patch doesn't seem to do anything. I guess someone with a clue will have to take a look :-)
Comment 3 steve 2005-12-11 23:24:26 UTC
It could also be saving to the wrong place, but that would mean it is reading the wrong place too, to show the template lists. Shouldn't there be a single function for finding this folder, whether it is reading, writing or whatever?
Comment 4 Allen Winter 2006-10-25 01:59:58 UTC
SVN commit 598910 by winterz:

Fix so you can actually use to-do templates after you create them.
Phil: your fix does work. perhaps you forgot to click the [apply templates] button?

BUGS: 118082



 M  +1 -1      kotodoeditor.h  


--- branches/KDE/3.5/kdepim/korganizer/kotodoeditor.h #598909:598910
@@ -95,7 +95,7 @@
   protected:
     void loadTemplate( /*const*/ CalendarLocal& );
     QStringList& templates() const;
-    QString type() { return "ToDo"; }
+    QString type() { return "Todo"; }
     void setupGeneral();
     void setupRecurrence();
     int msgItemDelete();